The SML of NJ Library
The Controls Library

## Overview

The Controls Library provides support for managing application controls via command-line options, environment variables, and code.

The original design and implementation of the Controls Library was by Matthias Blume.

## Contents

`structure Controls`

  The main structure of the Controls Library, which defines the representation and basic operations for controls.

`structure ControlSet`

  Provides facilities for managing sets of controls, with associated information, by name.

`structure ControlRegistry`

  Provides infrastructure for defining a hierarchical registry of controls.

`structure ControlUtil`

  Provides utility functions for defining controls.

## Usage

For SML/NJ, include `$/controls-lib.cm` in your CM file.

For use in MLton, include `$(SML_LIB)/smlnj-lib/Controls/controls-lib.mlb` in your MLB file.

SML/NJ Version 110.99.3 (August 1, 2023)
Last updated 2023-07-31 17:59:01 UTC